## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname cmake_format

Name:           cmakelang
Version:        0.6.13
Release:        %autorelease
Summary:        Quality Assurance (QA) tools for cmake
License:        GPL-3.0-only
URL:            https://github.com/cheshirekow/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

# Debian patches:
# https://salsa.debian.org/debian/cmake_format/-/tree/master/debian/patches
# Copyright 2020, Ian Campbell, GPL-3.0-only
Patch:          0002-Disable-tests-which-don-t-make-sense-for-packaging.patch
Patch:          0006-Update-TestConfigInclude._test_passed-to-support-Pyt.patch

# Make pip editable installs work (avoid multiple .egg_infos):
# https://github.com/cheshirekow/cmake_format/pull/338
Patch:          12b0bd557bbecf3d2dcf7d59cbd5d3ec77cf1878.diff

BuildArch:      noarch

BuildRequires:  python3-devel

%description
* cmake-annotate can generate pretty HTML from your listfiles.
* cmake-format can format your listfiles nicely.
* cmake-lint can check your listfiles for problems.
* ctest-to can parse a ctest output tree and translate it into a more structured
  format (either JSON or XML).


%prep
%autosetup -n %{srcname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{name}


%check
PYTHONPATH=. %{py3_test_envvars} %{python3} %{name}/tests.py


%files -f %{pyproject_files}
%license LICENSE
%doc %{name}/doc/README.rst
%{_bindir}/cmake-annotate
%{_bindir}/cmake-format
%{_bindir}/cmake-genparsers
%{_bindir}/cmake-lint
%{_bindir}/ctest-to


%changelog
## START: Generated by rpmautospec
* Wed Dec 25 2024 John Doe <packager@example.com> - 0.6.13-1
- Uncommitted changes
## END: Generated by rpmautospec
